Package twisted :: Package manhole :: Package ui :: Module gtk2manhole

[show private | hide private]
[frames | no frames]

## Module twisted.manhole.ui.gtk2manhole

Manhole client with a GTK v2.x front-end.

Classes
`ConsoleInput` |
`ConsoleOutput` |
`ManholeClient` |
`ManholeWindow` |

Variable Summary
`string` | `__version__`
`FakeModule` | `gtk`
`SelectReactor` | `reactor`
`dictionary` | `tagdefs`

Variable Details

### __version__

  Type:
    `string`
  Value:

        '1.3'

### gtk

  Type:
    `FakeModule`
  Value:

        <Fake gtk>

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

### tagdefs

  Type:
    `dictionary`
  Value:

        {'default': {'family': 'monospace'},
         'exception': {'foreground': 'red'},
         'local': {'foreground': '#008000'},
         'result': {'foreground': 'blue'},
         'stderr': {'foreground': '#AA8000'},
         'stdout': {'foreground': 'black'}}

Generated by Epydoc 1.1 on Sat Feb 15 21:17:55 2003 | http://epydoc.sf.net